import java.util.*;
class FillTest
{
	public static <T> void fill(List<? super T> list, T obj) {
		ListIterator<? super T> iter = list.listIterator();
		while (iter.hasNext()) {
			iter.next();
			iter.set(obj);
		}
	}

	public static void main(String[] arg) 
	{
		List<Integer> myIntList = new LinkedList<Integer>();
        myIntList.add(new Integer(0));
        myIntList.add(new Integer(2));
        myIntList.add(new Integer(5));
        myIntList.add(new Integer(12));
        fill(myIntList, 10);
		for (Integer n : myIntList)
			System.out.println(n);
	}
}

