abstract class Jablko {
	
	private static int numer = 0;
    protected String nazwa = "Jablko z konstruktora";
    
    public Jablko() { 
    	System.out.println(nazwa);
        }
    
    static int i = dajLiczbe();
    static int dajLiczbe() { 
		System.out.println("Jablko statyczne");
		return 7;
	}

    protected void init() {
	nazwa+=++numer;
    }
    
    public String toString() { 
    		return nazwa; 
    		}
}

class RajskieJablko extends Jablko {
	
    RajskieJablko() {
    	nazwa = "Rajskie Jablko konstruktorskie";
        System.out.println(nazwa);
        init();
    }
	
    static int k = dajLiczbe3();
    static int dajLiczbe3() { 
		System.out.println("Rajskie Jablko statyczne");
		return 7;
		}

    int w = dajLiczbe2();
    int dajLiczbe2() {
    		nazwa = "Rajskie Jablko dynamiczne";
    		System.out.println(nazwa);
    		return 7;
    		}
    
}

abstract class Czlowiek {
    abstract Jablko dajJablko();
}

class Ewa extends Czlowiek {
    private RajskieJablko rajskie = new RajskieJablko();
    public RajskieJablko dajJablko() {
	return rajskie;
    }
}

class Ogrod {
    public static void  main(String s[]) {
    for (int i=0; i<=5; i++){
    	RajskieJablko j = (new Ewa()).dajJablko();
    	System.out.println(j);
    	System.out.println();
    }
    }
}
