package Przyklady;

class NaszWyjatek extends Exception {
String mess = new String("Mowie to, gdy sie mnie robi bezparametrowo");
   NaszWyjatek() {
     System.out.println("Jestem fajnym wyjatkiem");
   }
   NaszWyjatek(String message) {
    mess = message;
    System.out.println("Jestem fajnym wyjatkiem z wiadomoscia " + message);
   }
}

class P1
{
        public static void main(String[] arg) throws NaszWyjatek{

          try {

            throw new NaszWyjatek();
          } catch (NaszWyjatek e) {
		System.out.println("Rzucil sie mwiac: " + e.mess);;

	}
           finally {
            System.out.println("finally");
          }

        }
}

class P2
{
   static class Wyrocznia{
     public static boolean dajPrawde(){
       System.out.println("Jestem prawda");
       return true;
     }

     public static boolean dajFalsz(){
       System.out.println("Jestem falszem");
       return false;
     }
   }
   public static void main(String[] arg){
    boolean x = Wyrocznia.dajPrawde() | Wyrocznia.dajFalsz();
    boolean y = Wyrocznia.dajFalsz() && Wyrocznia.dajPrawde();
   }
}

class P3
{
   static class Para<T>{
     Para(T x,T y){
       this.x = x;
       this.y = y;
     }
     T x,y;
     public T dajElement(int numer){
       return (1==numer?x:y);
     }
     public void ustawX(T x){
       this.x = x;
     }
     public String toString(){
       return ("Jestem sobie para, ktora ma "+x+" oraz "+y);
     }
   }
   public static void main(String[] arg){
   Para<Integer> mojaPara = new Para<Integer>(3, 4);
   Para nowaPara = mojaPara;
   mojaPara.ustawX(7);
   nowaPara.ustawX("Ada, to nie wypada");
   System.out.println(mojaPara);
   }
}

class P4 {

	public interface MamImie{
		public void przedstawSie();
		public void nadajImie(String imie);
	}
	
	public interface MamNazwisko{
		public void przedstawSie();
		public void nadajNazwisko(String nazwisko);
	}
	
	public interface MamImieNazwisko extends MamImie, MamNazwisko{
		public boolean czyImieRowneNazwisko();
	}

	public interface Adres{
	public void przedstawSie(String adres);
	}

	static class JakasKlasa{

	}
	static class KlasaInterfejsowana extends JakasKlasa implements MamImieNazwisko, Adres{

		String imie, nazwisko;
		public void przedstawSie() {
			System.out.println("Moje imie to "+imie+" nazwisko "+nazwisko+" adres ");
			};
		public void przedstawSie(String adres){
			this.przedstawSie();
			System.out.println("a adres to "+adres);
		}
		public void nadajImie(String imie) {
			this.imie = imie;
			};
		public void nadajNazwisko(String nazwisko){
			this.nazwisko = nazwisko;
			};
		public boolean czyImieRowneNazwisko(){
				return (imie == nazwisko);
				};

	}

	public static void main(String[] args) {
		KlasaInterfejsowana p = new KlasaInterfejsowana();
		p.nadajImie("Ludwik");
		p.nadajNazwisko("Szesnasty");
		p.przedstawSie();
		p.przedstawSie("Francja");
	}
}
/* Wypisywanie jest sekcja krytyczna*/
class P5{
   static class Watek extends Thread{
      Watek(String a){
         super(a);
      }
      public void run(){
         synchronized("Ten String Te Jest Obiektem"){
            for(int i=0;i<10;i++)
               System.out.println(getName());
         }
      }
   }
	public static void main(String[] args) {
		Watek w1 = new Watek("Numer 1");
		Watek w2 = new Watek("Numer 2");
		w1.start();
		w2.start();
	}

}



